Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample Class Reference

`#include <IPoints.h>`

Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample:
[legend]

## Public Types

typedef Sample | this_type

## Public Member Functions

| Sample ()
Abc::P3fArraySamplePtr | getPositions () const
Abc::UInt64ArraySamplePtr | getIds () const
Abc::V3fArraySamplePtr | getVelocities () const
Abc::Box3d | getSelfBounds () const
bool | valid () const
void | reset ()
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes

Abc::P3fArraySamplePtr | m_positions
Abc::UInt64ArraySamplePtr | m_ids
Abc::V3fArraySamplePtr | m_velocities
Abc::Box3d | m_selfBounds

## Friends

class | IPointsSchema

## Detailed Description

Definition at line 54 of file IPoints.h.

## Member Typedef Documentation

## this_type

typedef Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::this_type

Definition at line 57 of file IPoints.h.

## Constructor & Destructor Documentation

## Sample()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::Sample | ( |  | ) |

inline

Definition at line 60 of file IPoints.h.

References reset().

Here is the call graph for this function:

## Member Function Documentation

## ALEMBIC_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

References valid().

Here is the call graph for this function:

## getIds()

Abc::UInt64ArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::getIds | ( |  | ) | const

inline

Definition at line 63 of file IPoints.h.

References m_ids.

## getPositions()

Abc::P3fArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::getPositions | ( |  | ) | const

inline

Definition at line 62 of file IPoints.h.

References m_positions.

## getSelfBounds()

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::getSelfBounds | ( |  | ) | const

inline

Definition at line 66 of file IPoints.h.

References m_selfBounds.

## getVelocities()

Abc::V3fArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::getVelocities | ( |  | ) | const

inline

Definition at line 64 of file IPoints.h.

References m_velocities.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::reset | ( |  | ) |

inline

Definition at line 73 of file IPoints.h.

References m_ids, m_positions, m_selfBounds, and m_velocities.

Referenced by Sample().

Here is the caller graph for this function:

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::valid | ( |  | ) | const

inline

Definition at line 68 of file IPoints.h.

References m_ids, and m_positions.

Referenced by ALEMBIC_OPERATOR_BOOL().

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## IPointsSchema

friend class IPointsSchema

friend

Definition at line 84 of file IPoints.h.

References IPointsSchema.

Referenced by IPointsSchema.

## Member Data Documentation

## m_ids

Abc::UInt64ArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_ids

protected

Definition at line 86 of file IPoints.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::get(), getIds(), reset(), and valid().

## m_positions

Abc::P3fArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_positions

protected

Definition at line 85 of file IPoints.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::get(), getPositions(), reset(), and valid().

## m_selfBounds

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_selfBounds

protected

Definition at line 89 of file IPoints.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::get(), getSelfBounds(), and reset().

## m_velocities

Abc::V3fArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_velocities

protected

Definition at line 87 of file IPoints.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::get(), getVelocities(), and reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/IPoints.h